* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.wow {
    animation-duration: 1s !important;
    /* animation-timing-function: linear; */
}


.delay {
    animation-delay: 0.5s !important;
}

.delay1 {
    animation-delay: 1s !important;
}

.delay2 {
    animation-delay: 1.5s !important;
}

.delay3 {
    animation-delay: 2s !important;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

section {
    max-width: 100vw;
    width: 100vw;
}

ul,
ol {
    list-style: none;
}

a {
    text-decoration: none;
}

:root {
    --normalize: -8rem;
    --width: calc(100% - 16rem);
    --max-width: 2000px;
    --padding: 0rem 8rem;
    --center: 0 auto;
}

#gt-nvframe {
    z-index: 0 !important;
}

html body {
    margin: 0 !important;
}

h1,h2,h3,h4,h5 {
    font-family: 'Bebas Neue';
}

a,p,li,span {
    font-family: 'Montserrat';
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.whatsapp {
    background-color: #25D366;
    width: 6rem;
    height: 6rem;
    border-radius: 100rem;
    border: 1px solid black;
    position: fixed;
    right: 2rem;
    z-index: 10001;
    bottom: 5rem;
}

.whatsapp a {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.whatsapp i {
    font-size: 3rem;
    color: white;
}

.button {
    min-width: 10rem;
    width: fit-content;
    min-height: 4rem;
    padding: 1rem 2rem;
    background-color: white;
    color: black;
    font-size: 1.6rem;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease-in-out;
}

.button:hover {
    background-color: black;
    color: white;
}

.button.secondary {
    background-color: white;
    border: 2px solid #DC2D2C;
    color: #DC2D2C;
}

.button.secondary:hover {
    background-color: whitesmoke;
}

header {
    height: 10rem;
    width: 100%;
    margin: var(--center);
    position: fixed;
    z-index: 1000;
    background-color: black;
    display: flex;
    align-items: center;
}

nav {
    width: var(--width);
    margin: var(--center);
    height: 100%;
    padding: 0rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: transparent;
    position: relative;
}

nav>a:first-child {
    display: flex;
    align-items: center;
    gap: 2rem;
}

nav>a:last-child {
    display: none;
}

header nav .menu__button {
    display: none;
}

header figure,
header picture {
    display: block;
    height: 5   rem;

    img {
        object-fit: contain;
    }
}

.menu details {
    background-color: white;
    padding: 0 1rem;
    position: relative;
    

    summary {
        color: black;
        font-size: 2rem;
        font-weight: 500;
        height: 4rem;
        display: flex;
        align-items: center;
        cursor: pointer;
        font-family: 'Bebas Neue';
    
        &::marker {
            content: "";
        }
    }

    .language-options {
        height: fit-content;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: white;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        p {
            padding: 0.5rem;
            width: 100%;
            margin: 0;
            color: black;
            text-align: center;
            font-family: 'Bebas Neue';

            &:hover {
                cursor: pointer;
                background-color: #ddd;
            }
        }
    }
}



header .menu {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    column-gap: 5rem;
    height: 100%;
    width: 100%;
}

.menu li>a,
.menu li>p {
    font-size: 2rem;
    color: white;
    font-weight: 500;
    transition: all 0.3s linear;
    position: relative;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    text-transform: uppercase;
    font-family: 'Bebas Neue';
}

.menu a.contact-option {
    font-weight: 700;
    font-size: 1.8rem;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.menu a.contact-option img {
    min-width: 2.5rem;
    max-width: 2.5rem;
    height: 2.5rem;
}

.menu a:hover {
    text-decoration: underline;
}

.menu>li {
    position: relative;
    height: 100%;
    display: flex;
    align-items: center;
    min-width: fit-content;
}

.menu .button__secondary {
    min-height: 5rem;
}

nav.mov {
    display: none;
}

nav .redes {
    display: flex;
    align-items: center;
    gap: 1rem;
}

nav .redes a {
    font-size: 2rem;
}

p {
    font-size: 1.8rem;
    font-weight: 400;
}

h2 {
    font-size: 4.5rem;
    font-weight: 600;
}

body main section:first-of-type {
    padding-top: 10rem !important;
}

section {
    padding: var(--padding);
    margin-bottom: 10rem;
}

.bg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
}

.bg figure {
    width: 100%;
    height: 100%;
}

/* HERO  */

h1 {
    font-size: 6rem;
}


.buttons {
    display: flex;
    align-items: center;
    gap: 1rem;
    flex-wrap: wrap;
}

#hero {
    min-height: calc(100dvh);
    position: relative;
    background-color: rgba(0, 0, 0, 0.4);

    h1 {
        font-size: 12rem;
        color: white;

        flex-basis: 30rem;
        flex-grow: 1;
    }


    h4 {
        font-size: 1.6rem;
        font-weight: 700;
        color: white;
    }

    p {
        color: white;
        font-size: 1.8rem;
    }

    .container {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        min-height: calc(80dvh - 10rem);
        row-gap: 5rem;
    }

    .right {
        flex-basis: 30rem;
        flex-grow: 1;
    }

}

p {
    margin: 2rem 0;
    font-size: 2.2rem;
    color: #6F6F6F;
}

/* HERO  */


/* NOSOTROS  */

#nosotros {
    margin-bottom: 0;
    padding-bottom: 10rem;

    .container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        column-gap: 8rem;
        row-gap: 2rem;
    }

    h3 {
        font-size: 2.4rem;
        font-weight: 400;
    }

    .left {
        flex-basis: 30rem;
        flex-grow: 1;
        max-width: 50rem;
    }

    .right {
        flex-basis: 30rem;
        flex-grow: 1;
        max-width: 60rem;
        aspect-ratio: 6/9;
    }

    .numbers .top {
        display: flex;
        align-items: center;

        & p, & span {
            font-size: 10rem;
            font-family: 'Bebas Neue';
            color: #000;
            margin: 0;
            line-height: 9rem;
        }
    }

    .numbers>p {
        font-size: 2.4rem;
        font-family: 'Bebas Neue';
        margin: 0;
        color: black;
    }

    .qtys {
        display: flex;
        align-items: center;
        column-gap: 5rem;
        justify-content: center;
        margin-top: 5rem;
    }
}

/* NOSOTROS  */

/* CALIDAD  */

#calidad {
    background-color: #f3f3f3;
    margin-top: 0;
    padding-top: 10rem;
    padding-bottom: 10rem;
    
    .container {
        display: flex;
        flex-wrap: wrap;
        gap: 3rem;

        .left {
            flex-basis: 30rem;
            flex-grow: 1;
            max-width: 63rem;

            figure {
                width: 100%; 
                height: 80rem;
            }
        }

        .right {
            flex-basis: 30rem;
            flex-grow: 1;
            max-width: 70rem;

            figure {
                width: 100%;
                height: 42rem;
                margin-top: 5rem;
            }
        }
    }
}

/* CALIDAD  */

/* CERTIFICACIONES  */

#certificaciones {
    background-color: #000;
    color: white;
    margin-top: 0;
    padding-block: 10rem;
    margin-bottom: 0;

    h2 {
        text-align: center;
        margin-bottom: 5rem;
    }

    .container {
        display: flex;
        flex-wrap: wrap;
        gap: 3rem;
        justify-content: center;
        align-items: center;
    }

    a {
        flex-basis: 30rem;
        flex-grow: 1;
        max-width: 40rem;
        height: 44rem;
    }

    .certificacion {
        flex-basis: 30rem;
        flex-grow: 1;
        max-width: 40rem;
        height: 44rem;
        background-color: white;

        figure {
            width: 100%;
            height: 25rem;
        }

        .text {
            padding: 3rem 2rem;
            background-color: white;
        }

        p {
            font-family: 'Bebas Neue';
            font-weight: 400;
            font-size: 2.4rem;
            color: black;
        }


    }
    
}

/* CERTIFICACIONES  */


/* CONTACT */

#contact {
    .container {
        display: flex;
        flex-wrap: wrap;
        row-gap: 2rem;
        min-height: 50rem;
    }

    .left {

        h2 {
            margin-bottom: 5rem;
        }

        flex-basis: 30rem;
        flex-grow: 1;
        max-width: 85rem;
        margin: var(--center);
        padding: 2rem;

        & form {
            display: flex;
            flex-wrap: wrap;
            gap: 2rem;

            & input {
                flex-basis: 30rem;
                flex-grow: 1;
                border: 2px solid #000;
                height: 4rem;
                background-color: transparent;
                text-indent: 1rem;
                font-size: 1.8rem;
                color: black;
            }

            & textarea {
                flex-basis: 100%;
                border: 2px solid #000;
                background-color: transparent;
                height: 15rem;
                resize: none;
                padding: 1rem;
                font-size: 1.8rem;
                color: black;
            }

            ::placeholder {
                font-size: 1.6rem;
                color: #bebebe;
                font-weight: 400;
                font-family: 'Montserrat';
            }

            button {
                background-color: #000;
                color: white;
                height: 4rem;
                width: 15rem;
                border: none;
                font-size: 1.6rem;
                font-weight: 600;
                transition: all 0.3s ease;

                &:hover {
                    background-color: #666;
                    cursor: pointer;
                }
            }
        }
    }
}

/* CONTACT */

/* FOOTER  */

footer {
    padding: var(--padding);
    padding-block: 2rem;
    background-color: #000;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 1rem;

    p, a {
        font-size: 2rem;
        font-family: 'Bebas Neue';
        color: white;
        margin: 0;
    }

    a {
        text-decoration: underline;
    }

    .col {
        flex-basis: 30rem;

        figure {
            width: 20.3rem;
            height: 4.7rem;
        }

        &:first-of-type p {
            font-family: 'Montserrat';
            font-size: 1.6rem;
        }
    }

    h3 {
        color: white;
        font-size: 2.5rem;
        margin-bottom: 2rem;
    }
}


/* FOOTER  */


@media screen and (max-width: 850px) {
    :root {
        --normalize: -2rem;
        --width: calc(100% - 4rem);
        --padding: 0rem 2rem;
    }

    nav.desk {
        display: none;
    }

    nav.mov {
        display: flex;
    }

    header .menu {
        position: absolute;
        top: 100%;
        background-color: #000;
        width: 100dvw;
        left: -2rem;
        display: flex;
        flex-direction: column;
        display: none;
        height: fit-content;
        border-bottom: 2px solid var(--gold);
    }

    header .menu li {
        text-align: center;
        margin: 2rem 0;
    }

    header nav>a {
        display: block;
    }

    nav>a:last-child {
        display: block;
    }

    header nav .menu__button {
        display: block;
        font-size: 3rem;
        color: white;
        transition: all 0.5s ease-in-out;
        margin-right: 2rem;
    }

}

@media screen and (max-width: 820px) {
    nav>a:first-child h3 {
        font-size: 1.2rem;
    }

    nav>a:first-child p {
        font-size: 1rem;
    }

    header .nombre {
        max-width: 20rem;
    }
}

@media screen and (max-width: 550px) {

    header figure,
    header picture {
        height: 5rem;
        /* width: 8rem; */

        img {
            object-fit: contain;
        }
    }

    #calidad {
        .container {
            .left {
                figure {
                    height: 60rem;
                }
            }
        }
    }

    #hero h1 {
        font-size: 7rem;
        color: white;
    }

    #hero h4 {
        font-size: 2.4rem;
    }

    #hero p {
        font-size: 1.6rem;
    }

    #nosotros::after,
    #servicios::after {
        width: 1rem;
    }

    #servicios {
        padding-left: 3rem;

    }

    h2 {
        font-size: 4rem !important;
    }

    h3 {
        font-size: 3rem;
    }


    section {
        max-width: 100vw;
    }

    footer .bottom p {
        font-size: 1.6rem;
    }
}



@keyframes showMenu {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}

@keyframes hideMenu {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}


@keyframes appear {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes float {
    0% {
        transform: translateY(-0.5rem);
    }

    50% {
        transform: translateY(1rem);
    }

    100% {
        transform: translateY(-0.5rem);
    }

}


@keyframes bounceInRightCustom {

    0%,
    60%,
    75%,
    90%,
    100% {
        -webkit-transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
        transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }

    0% {
        opacity: 0;
        -webkit-transform: translate3d(30px, 0, 0);
        -ms-transform: translate3d(30px, 0, 0);
        transform: translate3d(30px, 0, 0);
    }

    60% {
        opacity: 1;
        -webkit-transform: translate3d(-25px, 0, 0);
        -ms-transform: translate3d(-25px, 0, 0);
        transform: translate3d(-25px, 0, 0);
    }

    75% {
        -webkit-transform: translate3d(10px, 0, 0);
        -ms-transform: translate3d(10px, 0, 0);
        transform: translate3d(10px, 0, 0);
    }

    90% {
        -webkit-transform: translate3d(-5px, 0, 0);
        -ms-transform: translate3d(-5px, 0, 0);
        transform: translate3d(-5px, 0, 0);
    }

    100% {
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
    }
}

@keyframes customPulse {
    0% {
        -webkit-transform: scaleY(1);
        -ms-transform: scaleY(1);
        transform: scaleY(1);
    }

    50% {
        -webkit-transform: scaleY(1.2);
        -ms-transform: scaleY(1.2);
        transform: scaleY(1.2);
    }

    100% {
        -webkit-transform: scaleY(1);
        -ms-transform: scaleY(1);
        transform: scaleY(1);
    }
}

@keyframes customPulseClose {
    0% {
        -webkit-transform: scaleY(1);
        -ms-transform: scaleY(1);
        transform: scaleY(1);
    }

    50% {
        -webkit-transform: scaleY(0.85);
        -ms-transform: scaleY(0.85);
        transform: scaleY(0.85);
    }

    100% {
        -webkit-transform: scaleY(1);
        -ms-transform: scaleY(1);
        transform: scaleY(1);
    }
}